Skip to main content
PATCH
/
api
/
end_user_entities
/
{entity_heron_id}
/
attributes
/
reorder
Set the display order of end user entity attributes
curl --request PATCH \
  --url https://app.herondata.io/api/end_user_entities/{entity_heron_id}/attributes/reorder \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "ordered_attribute_heron_ids": [
    "<string>"
  ]
}
'
import requests

url = "https://app.herondata.io/api/end_user_entities/{entity_heron_id}/attributes/reorder"

payload = { "ordered_attribute_heron_ids": ["<string>"] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ordered_attribute_heron_ids: ['<string>']})
};

fetch('https://app.herondata.io/api/end_user_entities/{entity_heron_id}/attributes/reorder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

x-api-key
string
header
required

Path Parameters

entity_heron_id
string
required

Body

application/json
ordered_attribute_heron_ids
string[]
required

Response

200

OK